/*
 *  ======== acme/filters2/FirC.xdc ========
 */

import stdsorg.math.IFir;
import stdsorg.math.IMathOps;
 
/*! Generalized IFir implementation */
@InstanceInitError
@InstanceFinalize
module FirC inherits IFir {
 
    /*! Selectable IMathOps service provider */
    proxy MathOps inherits IMathOps;
 
internal:
 
    struct Instance_State {
        Int16 coeffs[];         /* create argument */
        Int coeffsLen;          /* create argument */
        Int frameLen;           /* instance config */
        Int16 history[];        /* filter history */
    }
}
