/*
 * ======== bravo/math2/SineGen.xs ========
 */
 
var SineGen;
 
function module$use()
{
    SineGen = xdc.useModule('bravo.math2.SineGen');
}
 
function module$static$init(obj)
{
    SineGen.sineTab.length = SineGen.sineTabSize;
    var incr = Math.PI / (SineGen.sineTabSize / 2);
 
    for (var i = 0; i < SineGen.sineTabSize; i++) {
        SineGen.sineTab[i] = Math.round(Math.sin(incr * i) * SineGen.MAXVALUE);
    }
}
 
function instance$static$init(obj, params)
{
    obj.shift = 15;
    for (var r = params.range; r > 0; r >>= 1) {
        --obj.shift;
    }
 
    obj.step = SineGen.sineTabSize * params.freq / params.rate;
    obj.index = 0;
}
