/*
 *  ======== stdsorg/math/IMathOps.xdc ========
 */

/*! Abstract math operations */
interface IMathOps {
 
    /*! Product of low 16-bits of x and y */
    Int32 mpy(Int32 x, Int32 y);
 
    /*! Product of high 16-bits of x and y */
    Int32 mpyh(Int32 x, Int32 y);
 
    /*! Product of high 16-bits of x and low 16-bits of y */
    Int32 mpyhl(Int32 x, Int32 y);
 
    /*! Product of low 16-bits of x and high 16-bits of y */
    Int32 mpylh(Int32 x, Int32 y);
}
